<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add New User</strong></h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]='addNewUser' (ngSubmit)="saveNewUser()" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Email
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input id="email" type="text" placeholder="Email" class="form-control" formControlName="email"
                name="email" required>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">First Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" placeholder="First Name" class="form-control" matInput
                formControlName="firstname" required>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Last Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength="20" placeholder="Last Name" class="form-control" matInput
                formControlName="lastname" required>
            </div>
          </div>

          <div class="form-group" *ngIf="disabledCompany">
            <label class="col-sm-2 control-label">Company
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text " class="form-control" matInput formControlName="company" [matAutocomplete]="auto"
                placeholder="Select Company" [ngModel]="currentCompany">
              <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let item of companyData" [value]="item.company_name"
                  (onSelectionChange)="OnSelectCompany(item._id)">
                  {{ item.company_name }}
                </mat-option>
              </mat-autocomplete>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">role
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text " class="form-control" matInput formControlName="role" [matAutocomplete]="auto"
                placeholder="Role">
              <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let item of aclList" [value]="item.role"
                  (onSelectionChange)="OnSelectRole(item._id)">
                  {{ item.role }}
                </mat-option>
                <mat-option *ngIf="aclList.length==0">No roles found for the company</mat-option>
              </mat-autocomplete>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Phone Number
            </label>
            <div class="col-sm-10 form-input">
              <input type="number" maxlength="12" placeholder="Phone Number" class="form-control" matInput
                formControlName="phone_number" required>

            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Priority Index
              <i aria-hidden="true" class="mandatory">* Higher index value higher Priority</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="priority" placeholder="Set priority" name="priority">
                <mat-option [value]="'1'">1</mat-option>
                <mat-option [value]="'2'">2</mat-option>
                <mat-option [value]="'3'">3</mat-option>
                <mat-option [value]="'4'">4</mat-option>
                <mat-option [value]="'5'">5</mat-option>
                <mat-option [value]="'6'">6</mat-option>
                <mat-option [value]="'7'">7</mat-option>
                <mat-option [value]="'8'">8</mat-option>
                <mat-option [value]="'9'">9</mat-option>
                <mat-option [value]="'10'">10</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Password
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="password" id="password" maxlength="20" placeholder="Password" class="form-control" matInput
                formControlName="password" required>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Re-type Password
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="password" id="confirmPassword" maxlength="20" placeholder="Confirm Password"
                class="form-control" matInput formControlName="confirmPassword" required>
              <div class="error-msg" *ngIf="addNewUser.controls.confirmPassword.errors?.MatchPassword">
                <div [hidden]="!addNewUser.controls.confirmPassword.errors?.MatchPassword">Password not match</div>
              </div>
            </div>
          </div>


          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <input type="submit" [disabled]="addNewUser.controls.confirmPassword.errors?.MatchPassword"
                [disabled]="addNewUser.status === 'INVALID' || showLoader" class="btn btn-primary" value="Save">
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/role-management/user-list']">Cancel</button>
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>